### Method

# Ggit Submodule open

#### Declaration [src]

    GgitRepository*
    ggit_submodule_open (
      GgitSubmodule* submodule
      GError** error
    )

#### Description [src]

Open the repository for a submodule. Multiple calls to this function will return distinct `GgitRepository` objects. Only submodules which are checked out in the working directory can be opened.

#### Return value

Type: `GgitRepository`

The opened `GgitRepository` or `NULL` in case of an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.